curl --request GET \
--url https://skycoach.gg/api/shop/marketplace/offers/my_offers \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/my_offers"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://skycoach.gg/api/shop/marketplace/offers/my_offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"product_id": 14,
"user_id": 456,
"price_per_step": 100.5,
"amount": 1000,
"min_purchase_amount": 100,
"status": 3,
"marketplace_type": 1,
"guarantee_delivery_time": 86400000,
"credential_system_type_id": 3,
"description": "High quality account",
"outer_name": "Premium Account",
"internal_name": "Internal Name",
"comment_for_reviewer": "Please review",
"image": "storage/uploads/image.jpg",
"is_enabled": true,
"is_auto_activate_status": false,
"data": {
"1": "5",
"2": "Horde",
"3": "Custom server name"
},
"screenshots": [
"storage/uploads/product_currency_offer/screenshot/example.jpg"
],
"original_import_price": 90,
"commission_percent": 15,
"import_status": 1,
"purchased_amount": 500,
"last_review_comment": "Need more details",
"credentials_recorded": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"total": 100
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}Show my offers
Get list of offers created by the authenticated user. To get a specific offer, pass the ‘id’ parameter with the offer ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
application/json Query Parameters
ID of a specific offer to retrieve. For getting a specific offer, pass the offer ID in this parameter. Optional parameter, not passed by default.
Filter offers by product currency setting ID (product_currency_setting_id).
0
20
Column to sort by. * Possible values: * * - price_per_step: Sort by price per step * - guarantee_delivery_time: Sort by guarantee delivery time * - status: Sort by offer status * - created_at: Sort by creation date * - updated_at: Sort by last update date
price_per_step, guarantee_delivery_time, status, created_at, updated_at "price_per_step"
Sort direction. * Possible values: * * - asc: Ascending order (from lowest to highest) * - desc: Descending order (from highest to lowest)
asc, desc "asc"
Filter by offer status. * Possible values: * * - 1 (Draft): Offer is saved as draft and not visible to others * - 2 (Active): Offer is active and visible to customers * - 3 (Not Active): Offer is not active and not visible to customers * - 4 (Need Details): Offer has not passed the review and needs additional details * - 5 (On Review): Offer is under review * - 6 (Sold): Offer has been sold or the order has been completed * - 8 (Review Passed): Offer has passed the review and waiting for activation
1, 2, 3, 4, 5, 6, 8 3